Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::FileSource Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::DataSource.

## Public Member Functions
| FileSource (std::FILE *file)
virtual int | getChar ()
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0

## Detailed Description

Data source for parsing from a file.

## Constructor & Destructor Documentation

FileSource::FileSource | ( | std::FILE * | file | ) |

## Member Function Documentation

int FileSource::getChar | ( |  | ) |
| virtual

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp